#ifndef WIRELESSSTATUS_H
#define WIRELESSSTATUS_H

#include <QObject>
#include <QDebug>
#include <QDBusInterface>
#include <QDBusReply>
#if QT_VERSION >= QT_VERSION_CHECK(5,15,0)
#include <QtQml/qqml.h>
#endif

//提供给Qml无线网络状态信号的类
class WirelessStatus : public QObject
{
    Q_OBJECT
#if QT_VERSION >= QT_VERSION_CHECK(5,15,0)
    QML_ELEMENT
#endif

public:
    Q_PROPERTY(qlonglong wiredState READ getWiredState NOTIFY wiredStateChanged)

    WirelessStatus(QObject *parent = nullptr);

    bool m_bLanInitStatus;

    qlonglong getWiredState() const;

    qlonglong wifiStateChange();

private:
    qlonglong myState;

signals:
    void wiredStateChanged(int strength);

private slots:
    void onPropertiesChanged(QVariantMap str);
};
#endif // WIRELESSSTATUS_H

